MuleEndpointKey (Mule ESB 2.2.1 API)
Keywords: org.mule.module.jca.MuleEndpointKey class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jca
Class MuleEndpointKey

    java.lang.Object
      org.mule.module.jca.MuleEndpointKey

    public class MuleEndpointKey

extends Object

`MuleEndpointKey` TODO

Constructor Summary
`MuleEndpointKey(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory, MuleActivationSpec activationSpec)`

Method Summary
`boolean` | `equals(Object obj)`
`MuleActivationSpec` | `getActivationSpec()`
`javax.resource.spi.endpoint.MessageEndpointFactory` | `getMessageEndpointFactory()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MuleEndpointKey

    public MuleEndpointKey(javax.resource.spi.endpoint.MessageEndpointFactory messageEndpointFactory,
                           MuleActivationSpec activationSpec)

Parameters:
  `messageEndpointFactory` -
  `activationSpec` -

Method Detail

### getActivationSpec

    public MuleActivationSpec getActivationSpec()

  Returns:
    Returns the activationSpec.

### getMessageEndpointFactory

    public javax.resource.spi.endpoint.MessageEndpointFactory getMessageEndpointFactory()

  Returns:
    Returns the messageEndpointFactory.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.